    import 'dart:html';
    
    import 'package:polymer/polymer.dart';
    
    
    @CustomTag('word-counter')
    class WordCounter extends PolymerElement {
      @published int count = 0;
    
      WordCounter.created() : super.created() {
         _getElementText(document.body.children);
      }
      
      void _getElementText (List<Element> elList) {
          for (Element e in elList) {
            if (e.text != null && e.text != "") {
            count += e.text.split(" ").length;
            print("NUM CHILDREN ${e.children.length}");
            print("LENGTH IS ${e.text.split(" ").length}");
            print("TEXT IS ${e.text}");
            _getElementText(e.children);
            }
          }
      }
    }
    
